org.apache.cxf.message

## Class MessageContentsList

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList<Object>
      - - org.apache.cxf.message.MessageContentsList

- All Implemented Interfaces:
    Serializable, Cloneable, Iterable<Object>, Collection<Object>, List<Object>, RandomAccess

      public class MessageContentsList
      extends ArrayList<Object>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Object` | `REMOVED_MARKER`

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageContentsList()`
    `MessageContentsList(List<?> values)`
    `MessageContentsList(Object... values)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `get(MessagePartInfo key)`
    `static MessageContentsList` | `getContentsList(Message msg)`
    `boolean` | `hasValue(MessagePartInfo key)`
    `Object` | `put(MessagePartInfo key, Object value)`
    `void` | `remove(MessagePartInfo key)`
    `Object` | `set(int idx, Object value)`

    - ### Methods inherited from class java.util.ArrayList

      `add, add, addAll, addAll, clear, clone, contains, ensureCapacity, forEach, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, size, sort, spliterator, subList, toArray, toArray, trimToSize`

    - ### Methods inherited from class java.util.AbstractList

      `equals, hashCode`

    - ### Methods inherited from class java.util.AbstractCollection

      `containsAll, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.List

      `containsAll, equals, hashCode`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, stream`

- - ### Field Detail

    - #### REMOVED_MARKER

          public static final Object REMOVED_MARKER

  - ### Constructor Detail

    - #### MessageContentsList

          public MessageContentsList()

    - #### MessageContentsList

          public MessageContentsList(Object... values)

    - #### MessageContentsList

          public MessageContentsList(List<?> values)

  - ### Method Detail

    - #### getContentsList

          public static MessageContentsList getContentsList(Message msg)

    - #### set

          public Object set(int idx,
                            Object value)

      Specified by:
        `set` in interface `List<Object>`
      Overrides:
        `set` in class `ArrayList<Object>`

    - #### put

          public Object put(MessagePartInfo key,
                            Object value)

    - #### hasValue

          public boolean hasValue(MessagePartInfo key)

    - #### get

          public Object get(MessagePartInfo key)

    - #### remove

          public void remove(MessagePartInfo key)

Apache CXF